﻿using SendGrid;
using System.Net;
using System.Threading.Tasks;

namespace Mvc_ConfRec.Servicos
{
    public class ServicoEmail 
    {
        public static Task EnviaEmailAsync(string email, string assunto, string mensagem)
        {
            // serviço para enviar email
            var minhaMensagem = new SendGridMessage();
            minhaMensagem.AddTo(email);
            minhaMensagem.From = new System.Net.Mail.MailAddress("macoratti@yahoo.com", "Macoratti. net");
            minhaMensagem.Subject = assunto;
            minhaMensagem.Text = mensagem;
            minhaMensagem.Html = mensagem;
            var credenciais = new NetworkCredential("macoratti", "hw8vup5e");
            // Cria um transporte web para enviar email
            var transporteWeb = new Web(credenciais);
            // Envia o email
            if (transporteWeb != null)
            {
                return transporteWeb.DeliverAsync(minhaMensagem);
            }
            else
            {
                return Task.FromResult(0);
            }
        }
    }
}